/**
  * @file analogRead.ino
  * @author Jan Bělohoubek
  * 
  * @brief Jednoduchý příklad pro seznámení s ADC
  * 
  * Čtení napětí na potenciometru
  * 
  * Podrobnější dokumentace:
  * https://edu.ketcube.cz/pages/example_analogRead.html
  * 
  * Copyright (c) 2020 University of West Bohemia in Pilsen
  * All rights reserved.
  *
  * Developed by:
  * The SmartCampus Team
  * Department of Materials and Technology
  * www.smartcampus.cz | www.zcu.cz
  * 
  * See the License: 
  * https://edu.ketcube.cz/LICENSE.md
  * 
  */

void setup() {
  // Zobrazení zprávy v terminálu na začátku inicializace
  KETCube.Terminal.print("ADC @ KETCube");

  // Nastavení PINu AN - analogový vstup
  KETCube.IO.pinMode(AN, ANALOG);

  // Inicializace ADC
  KETCube.Analog.init();
}

void loop() {
  // Měření hodnoty napětí na potenciometru
  // a výpis hodnotu napětí
  KETCube.Terminal.print("U = %d mV", KETCube.Analog.read(AN));
}
