/**
  * @file helloWorld.ino
  * @author Jan Bělohoubek
  * 
  * @brief Základní příklad s UARTem
  * 
  * Podrobnější dokumentace:
  * https://edu.ketcube.cz/
  * 
  * Copyright (c) 2022 University of West Bohemia in Pilsen
  * All rights reserved.
  *
  * Developed by:
  * The SmartCampus Team
  * Department of Materials and Technology
  * www.smartcampus.cz | www.zcu.cz
  * 
  * See the License: 
  * https://edu.ketcube.cz/LICENSE.md
  * 
  */

  #include "string.h"

// UART BaudRate
#define BAUD_RATE     9600

// UART timeout in ms
#define TIMEOUT       1000

void setup() {
  // Zobrazení zprávy v terminálu na začátku inicializace
  KETCube.Terminal.print("HelloWorld @ KETCube");

  // Nastavení UART
  KETCube.UART.init(BAUD_RATE, PARITY_NONE);
}

void loop() {
  // periodický kód
  const char buffer[] = "Hello world!\n\r";

  KETCube.UART.send((uint8_t *) &(buffer[0]), strlen(&(buffer[0])), TIMEOUT);
  KETCube.Terminal.print("Hello world!");
}
