/**
  * @file onBoardLED.ino
  * @author Jan Bělohoubek
  * 
  * @brief Jednoduchý příklad použití balíčku KETCube pro Arduino.
  * 
  * LED diody umístěné na desce začnou po startu zařízení trvale blikat a 
  * každou měřicí periodu (basePeriod) se na Terminál vypíše text.
  * 
  * Podrobnější dokumentace:
  * https://edu.ketcube.cz/pages/example_onBoardLED.html
  * 
  * Copyright (c) 2020 University of West Bohemia in Pilsen
  * All rights reserved.
  *
  * Developed by:
  * The SmartCampus Team
  * Department of Materials and Technology
  * www.smartcampus.cz | www.zcu.cz
  * 
  * See the License: 
  * https://edu.ketcube.cz/LICENSE.md
  */

void setup() {
  // Zobrazení zprávy v terminálu na začátku inicializace
  KETCube.Terminal.print("Blikajici LED @ KETCube");

  // Nastavení PINů LED1 a LED2 - budiče LED
  KETCube.LED.init(LED1, HIGH);
  KETCube.LED.init(LED2, HIGH);

  // Nastavení LED na trvalé blikání
  KETCube.LED.set(LED1, LED_BLINK_CONT);
  KETCube.LED.set(LED2, LED_BLINK_CONT);
}

void loop() {
  // V každé periodě: vypsání textu
  KETCube.Terminal.print("basePeriod @ KETCube");
}
